cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credit-mutations" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credit-mutations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credit-mutations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"mutations": [
{
"mutationId": "66f7b8b1e13c8d25f4d3d90a",
"creditId": "66f7b8b1e13c8d25f4d3d90a",
"mutationType": "string",
"creditsChanged": 1,
"reason": "string",
"category": "string",
"createdByType": "string",
"createdAt": "2026-07-14T10:00:00.000Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Credit mutations
List credit mutations
Requires finance_credits:read. Optional date range capped at 366 days.
GET
/
public
/
v1
/
finance
/
clients
/
{clientId}
/
credit-mutations
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credit-mutations" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credit-mutations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/clients/{clientId}/credit-mutations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"mutations": [
{
"mutationId": "66f7b8b1e13c8d25f4d3d90a",
"creditId": "66f7b8b1e13c8d25f4d3d90a",
"mutationType": "string",
"creditsChanged": 1,
"reason": "string",
"category": "string",
"createdByType": "string",
"createdAt": "2026-07-14T10:00:00.000Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"